Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Achievements.UpdateAchievementResult

implements Result

com.google.android.gms.games.achievement.Achievements.UpdateAchievementResult

## Class Overview

Result delivered when achievement data has been updated (revealed, unlocked or incremented).

Possible status codes include:

- `STATUS_OK` if data was successfully loaded and is up-to-date.
- `STATUS_NETWORK_ERROR_NO_DATA` if the device was unable to retrieve any data from the network and has no data cached locally.
- `STATUS_NETWORK_ERROR_STALE_DATA` if the device was unable to retrieve the latest data from the network, but has some data cached locally.
- `STATUS_NETWORK_ERROR_OPERATION_DEFERRED` if the device is offline or was otherwise unable to post the achievement update to the server. The achievement update was stored locally and will be posted to the server the next time the device is online and is able to perform a sync (no further action is required from the client).
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service to access this data.
- `STATUS_LICENSE_CHECK_FAILED` if the game is not licensed to the user.
- `STATUS_ACHIEVEMENT_UNLOCKED` if the state of the achievement is `STATE_UNLOCKED` after an increment operation. Continuing to increment an already unlocked achievement will always return this status.
- `STATUS_ACHIEVEMENT_UNKNOWN` if the achievement failed to update because could not find the achievement to update.
- `STATUS_ACHIEVEMENT_NOT_INCREMENTAL` if achievement failed to increment since it is not an incremental achievement.
- `STATUS_ACHIEVEMENT_UNLOCK_FAILURE` if the call to unlock achievement failed.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

## Summary

Public Methods
abstract String | getAchievementId()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract String getAchievementId ()

##### Returns

- The ID of the achievement that was updated.